Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 3863)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 3864)
@@ -6517,374 +6486,311 @@
 !-- 4) ACTIVITY COEFFICIENTS -for vapour pressures of HNO3,HCL and NH3
 !
-!-- This section evaluates activity coefficients and vapour pressures using the
-!-- water content calculated above) for each inorganic condensing species: 
-!-- a - HNO3, b - NH3, c - HCL.
-!-- The following procedure is used:
-!-- Zaveri et al (2005) found that one could express the variation of activity
-!-- coefficients linearly in log-space if equivalent mole fractions were used. 
-!-- So, by a taylor series expansion LOG( activity coefficient ) = 
-!--    LOG( binary activity coefficient at a given RH ) + 
-!--    (equivalent mole fraction compound A) * 
-!--    ('interaction' parameter between A and condensing species) + 
-!--    equivalent mole fraction compound B) * 
-!--    ('interaction' parameter between B and condensing species). 
-!-- Here, the interaction parameters have been fit to ADDEM by searching the 
-!-- whole compositon space and fit usign the Levenberg-Marquardt non-linear 
-!-- least squares algorithm.
-!
-!-- They are given as a function of RH and vary with complexity ranging from 
-!-- linear to 5th order polynomial expressions, the binary activity coefficients
-!-- were calculated using AIM online.
-!-- NOTE: for NH3, no binary activity coefficient was used and the data were fit
-!-- to the ratio of the activity coefficients for the ammonium and hydrogen 
-!-- ions. Once the activity coefficients are obtained the vapour pressure can be
-!-- easily calculated using tabulated equilibrium constants (referenced). This 
-!-- procedure differs from that of Zaveri et al (2005) in that it is not assumed
-!-- one can carry behaviour from binary mixtures in multicomponent systems. To
-!-- this end we have fit the 'interaction' parameters explicitly to a general 
-!-- inorganic equilibrium model (ADDEM - Topping et al. 2005a,b). Such 
-!-- parameters take into account bisulphate ion dissociation and water content.
-!-- This also allows us to consider one regime for all composition space, rather
-!-- than defining sulphate rich and sulphate poor regimes
-!-- NOTE: The flags "binary_case" and "full_complexity" are not used in this 
-!-- prototype. They are used for simplification of the fit expressions when 
-!-- using limited composition regions.
+!-- This section evaluates activity coefficients and vapour pressures using the water content 
+!-- calculated above) for each inorganic condensing species: a - HNO3, b - NH3, c - HCL.
+!-- The following procedure is used: Zaveri et al (2005) found that one could express the variation 
+!-- of activity coefficients linearly in log-space if equivalent mole fractions were used.
+!-- So, by a taylor series expansion LOG( activity coefficient ) =
+!--    LOG( binary activity coefficient at a given RH ) +
+!--    (equivalent mole fraction compound A) *
+!--    ('interaction' parameter between A and condensing species) +
+!--    equivalent mole fraction compound B) *
+!--    ('interaction' parameter between B and condensing species).
+!-- Here, the interaction parameters have been fit to ADDEM by searching the whole compositon space
+!-- and fit usign the Levenberg-Marquardt non-linear least squares algorithm.
+!
+!-- They are given as a function of RH and vary with complexity ranging from linear to 5th order
+!-- polynomial expressions, the binary activity coefficients were calculated using AIM online.
+!-- NOTE: for NH3, no binary activity coefficient was used and the data were fit to the ratio of the
+!-- activity coefficients for the ammonium and hydrogen ions. Once the activity coefficients are
+!-- obtained the vapour pressure can be easily calculated using tabulated equilibrium constants
+!-- (referenced). This procedure differs from that of Zaveri et al (2005) in that it is not assumed
+!-- one can carry behaviour from binary mixtures in multicomponent systems. To this end we have fit
+!-- the 'interaction' parameters explicitly to a general inorganic equilibrium model
+!-- (ADDEM - Topping et al. 2005a,b). Such parameters take into account bisulphate ion dissociation
+!-- and water content. This also allows us to consider one regime for all composition space, rather
+!-- than defining sulphate rich and sulphate poor regimes.
+!-- NOTE: The flags "binary_case" and "full_complexity" are not used in this prototype. They are
+!-- used for simplification of the fit expressions when using limited composition regions.
 !
 !-- a) - ACTIVITY COEFF/VAPOUR PRESSURE - HNO3
     IF ( ions(1) > 0.0_wp  .AND.  ions(6) > 0.0_wp )  THEN
        binary_case = 1
-       IF ( RH > 0.1_wp  .AND.  RH < 0.98_wp )  THEN
+       IF ( rh > 0.1_wp  .AND.  rh < 0.98_wp )  THEN
           IF ( binary_case == 1 )  THEN
-             binary_hno3 = 1.8514_wp * ( RH**3 ) - 4.6991_wp * ( RH**2 ) +     &
-                           1.5514_wp * RH + 0.90236_wp
+             binary_hno3 = 1.8514_wp * rh**3 - 4.6991_wp * rh**2 + 1.5514_wp * rh + 0.90236_wp
           ELSEIF ( binary_case == 2 )  THEN
-             binary_hno3 = - 1.1751_wp * ( RH**2 ) - 0.53794_wp * RH +         &
-                             1.2808_wp
+             binary_hno3 = - 1.1751_wp * ( rh**2 ) - 0.53794_wp * rh + 1.2808_wp
           ENDIF
-       ELSEIF ( RH >= 0.98_wp  .AND.  RH < 0.9999_wp )  THEN
-          binary_hno3 = 1244.69635941351_wp * ( RH**3 ) -                      &
-                        2613.93941099991_wp * ( RH**2 ) +                      &
-                        1525.0684974546_wp * RH -155.946764059316_wp
-       ENDIF
-!          
+       ELSEIF ( rh >= 0.98_wp  .AND.  rh < 0.9999_wp )  THEN
+          binary_hno3 = 1244.69635941351_wp * rh**3 - 2613.93941099991_wp * rh**2 +                &
+                        1525.0684974546_wp * rh -155.946764059316_wp
+       ENDIF
+!
 !--    Contributions from other solutes
        full_complexity = 1
        IF ( hydrochloric_acid > 0.0_wp )  THEN   ! HCL
-          IF ( full_complexity == 1  .OR.  RH < 0.4_wp )  THEN
-             HCL_hno3 = 16.051_wp * ( RH**4 ) - 44.357_wp * ( RH**3 ) +        &
-                        45.141_wp * ( RH**2 ) - 21.638_wp * RH + 4.8182_wp
-          ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-             HCL_hno3 = - 1.5833_wp * RH + 1.5569_wp
+          IF ( full_complexity == 1  .OR.  rh < 0.4_wp )  THEN
+             hcl_hno3 = 16.051_wp * rh**4 - 44.357_wp * rh**3 + 45.141_wp * rh**2 - 21.638_wp *    &
+                        rh + 4.8182_wp
+          ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+             hcl_hno3 = - 1.5833_wp * rh + 1.5569_wp
           ENDIF
        ENDIF
-       
+
        IF ( sulphuric_acid > 0.0_wp )  THEN   ! H2SO4
-          IF ( full_complexity == 1  .OR.  RH < 0.4_wp )  THEN
-             H2SO4_hno3 = - 3.0849_wp * ( RH**3 ) + 5.9609_wp * ( RH**2 ) -    &
-                             4.468_wp * RH + 1.5658_wp
-          ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-             H2SO4_hno3 = - 0.93473_wp * RH + 0.9363_wp
+          IF ( full_complexity == 1  .OR.  rh < 0.4_wp )  THEN
+             h2so4_hno3 = - 3.0849_wp * rh**3 + 5.9609_wp * rh**2 - 4.468_wp * rh + 1.5658_wp
+          ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+             h2so4_hno3 = - 0.93473_wp * rh + 0.9363_wp
           ENDIF
        ENDIF
-       
+
        IF ( ammonium_sulphate > 0.0_wp )  THEN   ! NH42SO4
-          NH42SO4_hno3 = 16.821_wp * ( RH**3 ) - 28.391_wp * ( RH**2 ) +       &
-                         18.133_wp * RH - 6.7356_wp
-       ENDIF
-       
+          nh42so4_hno3 = 16.821_wp * rh**3 - 28.391_wp * rh**2 + 18.133_wp * rh - 6.7356_wp
+       ENDIF
+
        IF ( ammonium_nitrate > 0.0_wp )  THEN   ! NH4NO3
-          NH4NO3_hno3 = 11.01_wp * ( RH**3 ) - 21.578_wp * ( RH**2 ) +         &
-                       14.808_wp * RH - 4.2593_wp
-       ENDIF
-       
+          nh4no3_hno3 = 11.01_wp * rh**3 - 21.578_wp * rh**2 + 14.808_wp * rh - 4.2593_wp
+       ENDIF
+
        IF ( ammonium_chloride > 0.0_wp )  THEN   ! NH4Cl
-          IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-             NH4Cl_hno3 = - 1.176_wp * ( RH**3 ) + 5.0828_wp * ( RH**2 ) -     &
-                           3.8792_wp * RH - 0.05518_wp
-          ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-             NH4Cl_hno3 = 2.6219_wp * ( RH**2 ) - 2.2609_wp * RH - 0.38436_wp
+          IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+             nh4cl_hno3 = - 1.176_wp * rh**3 + 5.0828_wp * rh**2 - 3.8792_wp * rh - 0.05518_wp
+          ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+             nh4cl_hno3 = 2.6219_wp * rh**2 - 2.2609_wp * rh - 0.38436_wp
           ENDIF
        ENDIF
-       
+
        IF ( sodium_sulphate > 0.0_wp )  THEN   ! Na2SO4
-          Na2SO4_hno3 = 35.504_wp * ( RH**4 ) - 80.101_wp * ( RH**3 ) +        &
-                        67.326_wp * ( RH**2 ) - 28.461_wp * RH + 5.6016_wp
-       ENDIF
-       
+          na2so4_hno3 = 35.504_wp * rh**4 - 80.101_wp * rh**3 + 67.326_wp * rh**2 - 28.461_wp *    &
+                        rh + 5.6016_wp
+       ENDIF
+
        IF ( sodium_nitrate > 0.0_wp )  THEN   ! NaNO3
-          IF ( full_complexity == 1 .OR. RH <= 0.4_wp ) THEN
-             NaNO3_hno3 = 23.659_wp * ( RH**5 ) - 66.917_wp * ( RH**4 ) +      &
-                          74.686_wp * ( RH**3 ) - 40.795_wp * ( RH**2 ) +      &
-                          10.831_wp * RH - 1.4701_wp
-          ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-             NaNO3_hno3 = 14.749_wp * ( RH**4 ) - 35.237_wp * ( RH**3 ) +      &
-                          31.196_wp * ( RH**2 ) - 12.076_wp * RH + 1.3605_wp
+          IF ( full_complexity == 1 .OR. rh <= 0.4_wp ) THEN
+             nano3_hno3 = 23.659_wp * rh**5 - 66.917_wp * rh**4 + 74.686_wp * rh**3 - 40.795_wp *  &
+                          rh**2 + 10.831_wp * rh - 1.4701_wp
+          ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+             nano3_hno3 = 14.749_wp * rh**4 - 35.237_wp * rh**3 + 31.196_wp * rh**2 - 12.076_wp *  &
+                          rh + 1.3605_wp
           ENDIF
        ENDIF
-       
+
        IF ( sodium_chloride > 0.0_wp )  THEN   ! NaCl
-          IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-             NaCl_hno3 = 13.682_wp * ( RH**4 ) - 35.122_wp * ( RH**3 ) +       &
-                         33.397_wp * ( RH**2 ) - 14.586_wp * RH + 2.6276_wp
-          ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-             NaCl_hno3 = 1.1882_wp * ( RH**3 ) - 1.1037_wp * ( RH**2 ) -       &
-                         0.7642_wp * RH + 0.6671_wp
+          IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+             nacl_hno3 = 13.682_wp * rh**4 - 35.122_wp * rh**3 + 33.397_wp * rh**2 - 14.586_wp *   &
+                         rh + 2.6276_wp
+          ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+             nacl_hno3 = 1.1882_wp * rh**3 - 1.1037_wp * rh**2 - 0.7642_wp * rh + 0.6671_wp
           ENDIF
        ENDIF
-       
-       Ln_HNO3_act = binary_hno3 +                                             &
-                     hydrochloric_acid_eq_frac * HCL_hno3 +                    &
-                     sulphuric_acid_eq_frac    * H2SO4_hno3 +                  &
-                     ammonium_sulphate_eq_frac * NH42SO4_hno3 +                &
-                     ammonium_nitrate_eq_frac  * NH4NO3_hno3 +                 &
-                     ammonium_chloride_eq_frac * NH4Cl_hno3 +                  &
-                     sodium_sulphate_eq_frac   * Na2SO4_hno3 +                 &
-                     sodium_nitrate_eq_frac    * NaNO3_hno3 +                  &
-                     sodium_chloride_eq_frac   * NaCl_hno3
-
-       gamma_hno3   = EXP( Ln_HNO3_act )   ! Molal activity coefficient of HNO3
+
+       ln_hno3_act = binary_hno3 + hydrochloric_acid_eq_frac * hcl_hno3 +                          &
+                     sulphuric_acid_eq_frac    * h2so4_hno3 +                                      &
+                     ammonium_sulphate_eq_frac * nh42so4_hno3 +                                    &
+                     ammonium_nitrate_eq_frac  * nh4no3_hno3 +                                     &
+                     ammonium_chloride_eq_frac * nh4cl_hno3 +                                      &
+                     sodium_sulphate_eq_frac * na2so4_hno3 +                                       &
+                     sodium_nitrate_eq_frac * nano3_hno3 + sodium_chloride_eq_frac   * nacl_hno3
+
+       gamma_hno3   = EXP( ln_hno3_act )   ! Molal activity coefficient of HNO3
        gamma_out(1) = gamma_hno3
 !
 !--    Partial pressure calculation
-!--    K_hno3 = 2.51 * ( 10**6 )  
-!--    K_hno3 = 2.628145923d6 !< calculated by AIM online (Clegg et al 1998)
-!--    after Chameides (1984) (and NIST database)
-       K_hno3     = 2.6E6_wp * EXP( 8700.0_wp * henrys_temp_dep) 
-       Press_HNO3 = ( ions_mol(1) * ions_mol(6) * ( gamma_hno3**2 ) ) /        &
-                      K_hno3
+!--    k_hno3 = 2.51 * ( 10**6 )
+!--    k_hno3 = 2.628145923d6 !< calculated by AIM online (Clegg et al 1998) after Chameides (1984)
+       k_hno3     = 2.6E6_wp * EXP( 8700.0_wp * henrys_temp_dep )
+       press_hno3 = ( ions_mol(1) * ions_mol(6) * ( gamma_hno3**2 ) ) / k_hno3
     ENDIF
-!       
+!
 !-- b) - ACTIVITY COEFF/VAPOUR PRESSURE - NH3
 !-- Follow the two solute approach of Zaveri et al. (2005)
-    IF ( ions(2) > 0.0_wp  .AND.  ions_mol(1) > 0.0_wp )  THEN 
+    IF ( ions(2) > 0.0_wp  .AND.  ions_mol(1) > 0.0_wp )  THEN
+!
 !--    NH4HSO4:
-       binary_nh4hso4 = 56.907_wp * ( RH**6 ) - 155.32_wp * ( RH**5 ) +        &
-                        142.94_wp * ( RH**4 ) - 32.298_wp * ( RH**3 ) -        &
-                        27.936_wp * ( RH**2 ) + 19.502_wp * RH - 4.2618_wp
+       binary_nh4hso4 = 56.907_wp * rh**6 - 155.32_wp * rh**5 + 142.94_wp * rh**4 - 32.298_wp *    &
+                        rh**3 - 27.936_wp * rh**2 + 19.502_wp * rh - 4.2618_wp
        IF ( nitric_acid > 0.0_wp)  THEN   ! HNO3
-          HNO3_nh4hso4 = 104.8369_wp * ( RH**8 ) - 288.8923_wp * ( RH**7 ) +   &
-                         129.3445_wp * ( RH**6 ) + 373.0471_wp * ( RH**5 ) -   &
-                         571.0385_wp * ( RH**4 ) + 326.3528_wp * ( RH**3 ) -   &
-                           74.169_wp * ( RH**2 ) - 2.4999_wp * RH + 3.17_wp
-       ENDIF
-       
-       IF ( hydrochloric_acid > 0.0_wp)  THEN   ! HCL 
-          HCL_nh4hso4 = - 7.9133_wp * ( RH**8 ) + 126.6648_wp * ( RH**7 ) -    &
-                        460.7425_wp * ( RH**6 ) + 731.606_wp  * ( RH**5 ) -    &
-                        582.7467_wp * ( RH**4 ) + 216.7197_wp * ( RH**3 ) -   &
-                         11.3934_wp * ( RH**2 ) - 17.7728_wp  * RH + 5.75_wp
-       ENDIF
-       
+          hno3_nh4hso4 = 104.8369_wp * rh**8 - 288.8923_wp * rh**7 + 129.3445_wp * rh**6 +         &
+                         373.0471_wp * rh**5 - 571.0385_wp * rh**4 + 326.3528_wp * rh**3 -         &
+                         74.169_wp * rh**2 - 2.4999_wp * rh + 3.17_wp
+       ENDIF
+
+       IF ( hydrochloric_acid > 0.0_wp)  THEN   ! HCL
+          hcl_nh4hso4 = - 7.9133_wp * rh**8 + 126.6648_wp * rh**7 - 460.7425_wp * rh**6 +          &
+                         731.606_wp * rh**5 - 582.7467_wp * rh**4 + 216.7197_wp * rh**3 -          &
+                         11.3934_wp * rh**2 - 17.7728_wp  * rh + 5.75_wp
+       ENDIF
+
        IF ( sulphuric_acid > 0.0_wp)  THEN   ! H2SO4
-          H2SO4_nh4hso4 = 195.981_wp * ( RH**8 ) - 779.2067_wp * ( RH**7 ) +   &
-                        1226.3647_wp * ( RH**6 ) - 964.0261_wp * ( RH**5 ) +   &
-                         391.7911_wp * ( RH**4 ) - 84.1409_wp  * ( RH**3 ) +   &
-                          20.0602_wp * ( RH**2 ) - 10.2663_wp  * RH + 3.5817_wp
-       ENDIF
-       
+          h2so4_nh4hso4 = 195.981_wp * rh**8 - 779.2067_wp * rh**7 + 1226.3647_wp * rh**6 -        &
+                         964.0261_wp * rh**5 + 391.7911_wp * rh**4 - 84.1409_wp  * rh**3 +         &
+                          20.0602_wp * rh**2 - 10.2663_wp  * rh + 3.5817_wp
+       ENDIF
+
        IF ( ammonium_sulphate > 0.0_wp)  THEN   ! NH42SO4
-          NH42SO4_nh4hso4 = 617.777_wp * ( RH**8 ) - 2547.427_wp * ( RH**7 )   &
-                        + 4361.6009_wp * ( RH**6 ) - 4003.162_wp * ( RH**5 )   &
-                        + 2117.8281_wp * ( RH**4 ) - 640.0678_wp * ( RH**3 )   &
-                        + 98.0902_wp   * ( RH**2 ) - 2.2615_wp  * RH - 2.3811_wp
-       ENDIF
-       
+          nh42so4_nh4hso4 = 617.777_wp * rh**8 -  2547.427_wp * rh**7 + 4361.6009_wp * rh**6 -     &
+                           4003.162_wp * rh**5 + 2117.8281_wp * rh**4 - 640.0678_wp * rh**3 +      &
+                            98.0902_wp * rh**2 -    2.2615_wp * rh - 2.3811_wp
+       ENDIF
+
        IF ( ammonium_nitrate > 0.0_wp)  THEN   ! NH4NO3
-          NH4NO3_nh4hso4 = - 104.4504_wp * ( RH**8 ) + 539.5921_wp *           &
-                ( RH**7 ) - 1157.0498_wp * ( RH**6 ) + 1322.4507_wp *          &
-                ( RH**5 ) - 852.2475_wp * ( RH**4 ) + 298.3734_wp *            &
-                ( RH**3 ) - 47.0309_wp * ( RH**2 ) + 1.297_wp * RH -           &
-                0.8029_wp
-       ENDIF
-       
+          nh4no3_nh4hso4 = - 104.4504_wp * rh**8 + 539.5921_wp * rh**7 - 1157.0498_wp * rh**6 +    &
+                            1322.4507_wp * rh**5 - 852.2475_wp * rh**4 + 298.3734_wp * rh**3 -     &
+                              47.0309_wp * rh**2 +    1.297_wp * rh - 0.8029_wp
+       ENDIF
+
        IF ( ammonium_chloride > 0.0_wp)  THEN   ! NH4Cl
-          NH4Cl_nh4hso4 = 258.1792_wp * ( RH**8 ) - 1019.3777_wp *             &
-             ( RH**7 ) + 1592.8918_wp * ( RH**6 ) - 1221.0726_wp *             &
-             ( RH**5 ) + 442.2548_wp * ( RH**4 ) - 43.6278_wp *                &
-             ( RH**3 ) - 7.5282_wp * ( RH**2 ) - 3.8459_wp * RH + 2.2728_wp
-       ENDIF
-       
+          nh4cl_nh4hso4 = 258.1792_wp * rh**8 - 1019.3777_wp * rh**7 + 1592.8918_wp * rh**6 -      &
+                         1221.0726_wp * rh**5 +  442.2548_wp * rh**4 -   43.6278_wp * rh**3 -      &
+                            7.5282_wp * rh**2 -    3.8459_wp * rh + 2.2728_wp
+       ENDIF
+
        IF ( sodium_sulphate > 0.0_wp)  THEN   ! Na2SO4
-          Na2SO4_nh4hso4 = 225.4238_wp * ( RH**8 ) - 732.4113_wp *             &
-               ( RH**7 ) + 843.7291_wp * ( RH**6 ) - 322.7328_wp *             &
-               ( RH**5 ) - 88.6252_wp * ( RH**4 ) + 72.4434_wp *               &
-               ( RH**3 ) + 22.9252_wp * ( RH**2 ) - 25.3954_wp * RH +          &
-               4.6971_wp
-       ENDIF
-       
+          na2so4_nh4hso4 = 225.4238_wp * rh**8 - 732.4113_wp * rh**7 + 843.7291_wp * rh**6 -       &
+                           322.7328_wp * rh**5 -  88.6252_wp * rh**4 +  72.4434_wp * rh**3 +       &
+                            22.9252_wp * rh**2 -  25.3954_wp * rh + 4.6971_wp
+       ENDIF
+
        IF ( sodium_nitrate > 0.0_wp)  THEN   ! NaNO3
-          NaNO3_nh4hso4 = 96.1348_wp * ( RH**8 ) - 341.6738_wp * ( RH**7 ) +   &
-                         406.5314_wp * ( RH**6 ) - 98.5777_wp * ( RH**5 ) -    &
-                         172.8286_wp * ( RH**4 ) + 149.3151_wp * ( RH**3 ) -   &
-                          38.9998_wp * ( RH**2 ) - 0.2251 * RH + 0.4953_wp
-       ENDIF
-       
+          nano3_nh4hso4 = 96.1348_wp * rh**8 - 341.6738_wp * rh**7 + 406.5314_wp * rh**6 -         &
+                          98.5777_wp * rh**5 - 172.8286_wp * rh**4 + 149.3151_wp * rh**3 -         &
+                          38.9998_wp * rh**2 -   0.2251_wp * rh + 0.4953_wp
+       ENDIF
+
        IF ( sodium_chloride > 0.0_wp)  THEN   ! NaCl
-          NaCl_nh4hso4 = 91.7856_wp * ( RH**8 ) - 316.6773_wp * ( RH**7 ) +    &
-                        358.2703_wp * ( RH**6 ) - 68.9142 * ( RH**5 ) -        &
-                        156.5031_wp * ( RH**4 ) + 116.9592_wp * ( RH**3 ) -    &
-                        22.5271_wp * ( RH**2 ) - 3.7716_wp * RH + 1.56_wp
-       ENDIF
-
-       Ln_NH4HSO4_act = binary_nh4hso4 +                                       &
-                        nitric_acid_eq_frac       * HNO3_nh4hso4 +             &
-                        hydrochloric_acid_eq_frac * HCL_nh4hso4 +              &
-                        sulphuric_acid_eq_frac    * H2SO4_nh4hso4 +            &  
-                        ammonium_sulphate_eq_frac * NH42SO4_nh4hso4 +          &
-                        ammonium_nitrate_eq_frac  * NH4NO3_nh4hso4 +           &
-                        ammonium_chloride_eq_frac * NH4Cl_nh4hso4 +            &
-                        sodium_sulphate_eq_frac   * Na2SO4_nh4hso4 +           & 
-                        sodium_nitrate_eq_frac    * NaNO3_nh4hso4 +            &
-                        sodium_chloride_eq_frac   * NaCl_nh4hso4
-  
-       gamma_nh4hso4 = EXP( Ln_NH4HSO4_act ) ! molal act. coefficient of NH4HSO4
+          nacl_nh4hso4 = 91.7856_wp * rh**8 - 316.6773_wp * rh**7 + 358.2703_wp * rh**6 -          &
+                         68.9142_wp * rh**5 - 156.5031_wp * rh**4 + 116.9592_wp * rh**3 -          &
+                         22.5271_wp * rh**2 - 3.7716_wp * rh + 1.56_wp
+       ENDIF
+
+       ln_nh4hso4_act = binary_nh4hso4 + nitric_acid_eq_frac * hno3_nh4hso4 +                      &
+                        hydrochloric_acid_eq_frac * hcl_nh4hso4 +                                  &
+                        sulphuric_acid_eq_frac * h2so4_nh4hso4 +                                   &
+                        ammonium_sulphate_eq_frac * nh42so4_nh4hso4 +                              &
+                        ammonium_nitrate_eq_frac * nh4no3_nh4hso4 +                                &
+                        ammonium_chloride_eq_frac * nh4cl_nh4hso4 +                                &
+                        sodium_sulphate_eq_frac * na2so4_nh4hso4 +                                 &
+                        sodium_nitrate_eq_frac * nano3_nh4hso4 +                                   &
+                        sodium_chloride_eq_frac * nacl_nh4hso4
+
+       gamma_nh4hso4 = EXP( ln_nh4hso4_act ) ! molal act. coefficient of NH4HSO4
+!
 !--    Molal activity coefficient of NO3-
        gamma_out(6)  = gamma_nh4hso4
-!--    Molal activity coefficient of NH4+        
-       gamma_nh3     = ( gamma_nh4hso4**2 ) / ( gamma_hhso4**2 )   
+!
+!--    Molal activity coefficient of NH4+
+       gamma_nh3     = gamma_nh4hso4**2 / gamma_hhso4**2
        gamma_out(3)  = gamma_nh3
-!        
-!--    This actually represents the ratio of the ammonium to hydrogen ion 
-!--    activity coefficients (see Zaveri paper) - multiply this by the ratio 
-!--    of the ammonium to hydrogen ion molality and the ratio of appropriate 
-!--    equilibrium constants
+!
+!--    This actually represents the ratio of the ammonium to hydrogen ion activity coefficients
+!--    (see Zaveri paper) - multiply this by the ratio of the ammonium to hydrogen ion molality and
+!--    the ratio of appropriate equilibrium constants
 !
 !--    Equilibrium constants
-!--    Kh = 57.64d0    ! Zaveri et al. (2005)
-       Kh = 5.8E1_wp * EXP( 4085.0_wp * henrys_temp_dep )   ! after Chameides 
-!                                                   ! (1984) (and NIST database)
-!--    Knh4 = 1.81E-5_wp    ! Zaveri et al. (2005)
-       Knh4 = 1.7E-5_wp * EXP( -4325.0_wp * henrys_temp_dep )   ! Chameides 
-                                                                ! (1984)
-!--    Kw = 1.01E-14_wp    ! Zaveri et al (2005)
-       Kw = 1.E-14_wp * EXP( -6716.0_wp * henrys_temp_dep )   ! Chameides 
-                                                              ! (1984)
+!--    k_h = 57.64d0    ! Zaveri et al. (2005)
+       k_h = 5.8E1_wp * EXP( 4085.0_wp * henrys_temp_dep )   ! after Chameides (1984)
+!--    k_nh4 = 1.81E-5_wp    ! Zaveri et al. (2005)
+       k_nh4 = 1.7E-5_wp * EXP( -4325.0_wp * henrys_temp_dep )   ! Chameides (1984)
+!--    k_h2o = 1.01E-14_wp    ! Zaveri et al (2005)
+       k_h2o = 1.E-14_wp * EXP( -6716.0_wp * henrys_temp_dep )   ! Chameides (1984)
 !
        molality_ratio_nh3 = ions_mol(2) / ions_mol(1)
-!--    Partial pressure calculation       
-       Press_NH3 = molality_ratio_nh3 * gamma_nh3 * ( Kw / ( Kh * Knh4 ) )
-    
+!
+!--    Partial pressure calculation
+       press_nh3 = molality_ratio_nh3 * gamma_nh3 * ( k_h2o / ( k_h * k_nh4 ) )
+
     ENDIF
-!       
+!
 !-- c) - ACTIVITY COEFF/VAPOUR PRESSURE - HCL
     IF ( ions(1) > 0.0_wp  .AND.  ions(7) > 0.0_wp )  THEN
        binary_case = 1
-       IF ( RH > 0.1_wp  .AND.  RH < 0.98 )  THEN
+       IF ( rh > 0.1_wp  .AND.  rh < 0.98 )  THEN
           IF ( binary_case == 1 )  THEN
-             binary_hcl = - 5.0179_wp * ( RH**3 ) + 9.8816_wp * ( RH**2 ) -    &
-                            10.789_wp * RH + 5.4737_wp
+             binary_hcl = - 5.0179_wp * rh**3 + 9.8816_wp * rh**2 - 10.789_wp * rh + 5.4737_wp
           ELSEIF ( binary_case == 2 )  THEN
-             binary_hcl = - 4.6221_wp * RH + 4.2633_wp
+             binary_hcl = - 4.6221_wp * rh + 4.2633_wp
           ENDIF
-       ELSEIF ( RH >= 0.98_wp  .AND.  RH < 0.9999_wp )  THEN
-          binary_hcl = 775.6111008626_wp * ( RH**3 ) - 2146.01320888771_wp *   &
-                     ( RH**2 ) + 1969.01979670259_wp *  RH - 598.878230033926_wp
+       ELSEIF ( rh >= 0.98_wp  .AND.  rh < 0.9999_wp )  THEN
+          binary_hcl = 775.6111008626_wp * rh**3 - 2146.01320888771_wp * rh**2 +                   &
+                       1969.01979670259_wp *  rh - 598.878230033926_wp
        ENDIF
     ENDIF
-    
+
     IF ( nitric_acid > 0.0_wp )  THEN   ! HNO3
-       IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-          HNO3_hcl = 9.6256_wp * ( RH**4 ) - 26.507_wp * ( RH**3 ) +           &
-                     27.622_wp * ( RH**2 ) - 12.958_wp * RH + 2.2193_wp
-       ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-          HNO3_hcl = 1.3242_wp * ( RH**2 ) - 1.8827_wp * RH + 0.55706_wp
+       IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+          hno3_hcl = 9.6256_wp * rh**4 - 26.507_wp * rh**3 + 27.622_wp * rh**2 - 12.958_wp * rh +  &
+                     2.2193_wp
+       ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+          hno3_hcl = 1.3242_wp * rh**2 - 1.8827_wp * rh + 0.55706_wp
        ENDIF
     ENDIF
-    
+
     IF ( sulphuric_acid > 0.0_wp )  THEN   ! H2SO4
-       IF ( full_complexity == 1  .OR.  RH <= 0.4 )  THEN
-          H2SO4_hcl = 1.4406_wp * ( RH**3 ) - 2.7132_wp * ( RH**2 ) +          &
-                       1.014_wp * RH + 0.25226_wp
-       ELSEIF ( full_complexity == 0 .AND. RH > 0.4_wp ) THEN
-          H2SO4_hcl = 0.30993_wp * ( RH**2 ) - 0.99171_wp * RH + 0.66913_wp
+       IF ( full_complexity == 1  .OR.  rh <= 0.4 )  THEN
+          h2so4_hcl = 1.4406_wp * rh**3 - 2.7132_wp * rh**2 + 1.014_wp * rh + 0.25226_wp
+       ELSEIF ( full_complexity == 0 .AND. rh > 0.4_wp ) THEN
+          h2so4_hcl = 0.30993_wp * rh**2 - 0.99171_wp * rh + 0.66913_wp
        ENDIF
     ENDIF
-    
+
     IF ( ammonium_sulphate > 0.0_wp )  THEN   ! NH42SO4
-       NH42SO4_hcl = 22.071_wp * ( RH**3 ) - 40.678_wp * ( RH**2 ) +           &
-                     27.893_wp * RH - 9.4338_wp
+       nh42so4_hcl = 22.071_wp * rh**3 - 40.678_wp * rh**2 + 27.893_wp * rh - 9.4338_wp
     ENDIF
-    
+
     IF ( ammonium_nitrate > 0.0_wp )  THEN   ! NH4NO3
-       NH4NO3_hcl = 19.935_wp * ( RH**3 ) - 42.335_wp * ( RH**2 ) +            &
-                    31.275_wp * RH - 8.8675_wp
+       nh4no3_hcl = 19.935_wp * rh**3 - 42.335_wp * rh**2 + 31.275_wp * rh - 8.8675_wp
     ENDIF
-    
+
     IF ( ammonium_chloride > 0.0_wp )  THEN   ! NH4Cl
-       IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-          NH4Cl_hcl = 2.8048_wp * ( RH**3 ) - 4.3182_wp * ( RH**2 ) +          &
-                      3.1971_wp * RH - 1.6824_wp
-       ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-          NH4Cl_hcl = 1.2304_wp * ( RH**2 ) - 0.18262_wp * RH - 1.0643_wp
+       IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+          nh4cl_hcl = 2.8048_wp * rh**3 - 4.3182_wp * rh**2 + 3.1971_wp * rh - 1.6824_wp
+       ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+          nh4cl_hcl = 1.2304_wp * rh**2 - 0.18262_wp * rh - 1.0643_wp
        ENDIF
     ENDIF
-    
+
     IF ( sodium_sulphate > 0.0_wp )  THEN   ! Na2SO4
-       Na2SO4_hcl = 36.104_wp * ( RH**4 ) - 78.658_wp * ( RH**3 ) +            &
-                    63.441_wp * ( RH**2 ) - 26.727_wp * RH + 5.7007_wp
+       na2so4_hcl = 36.104_wp * rh**4 - 78.658_wp * rh**3 + 63.441_wp * rh**2 - 26.727_wp * rh +   &
+                    5.7007_wp
     ENDIF
-    
+
     IF ( sodium_nitrate > 0.0_wp )  THEN   ! NaNO3
-       IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-          NaNO3_hcl = 54.471_wp * ( RH**5 ) - 159.42_wp * ( RH**4 ) +          &
-                      180.25_wp * ( RH**3 ) - 98.176_wp * ( RH**2 ) +          &
-                      25.309_wp * RH - 2.4275_wp
-       ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-          NaNO3_hcl = 21.632_wp * ( RH**4 ) - 53.088_wp * ( RH**3 ) +          &
-                      47.285_wp * ( RH**2 ) - 18.519_wp * RH + 2.6846_wp
+       IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+          nano3_hcl = 54.471_wp * rh**5 - 159.42_wp * rh**4 + 180.25_wp * rh**3 - 98.176_wp * rh**2&
+                      + 25.309_wp * rh - 2.4275_wp
+       ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+          nano3_hcl = 21.632_wp * rh**4 - 53.088_wp * rh**3 + 47.285_wp * rh**2 - 18.519_wp * rh   &
+                      + 2.6846_wp
        ENDIF
     ENDIF
-    
+
     IF ( sodium_chloride > 0.0_wp )  THEN   ! NaCl
-       IF ( full_complexity == 1  .OR.  RH <= 0.4_wp )  THEN
-          NaCl_hcl = 5.4138_wp * ( RH**4 ) - 12.079_wp * ( RH**3 ) +           &
-                      9.627_wp * ( RH**2 ) - 3.3164_wp * RH + 0.35224_wp
-       ELSEIF ( full_complexity == 0  .AND.  RH > 0.4_wp )  THEN
-          NaCl_hcl = 2.432_wp * ( RH**3 ) - 4.3453_wp * ( RH**2 ) +            &
-                    2.3834_wp * RH - 0.4762_wp
+       IF ( full_complexity == 1  .OR.  rh <= 0.4_wp )  THEN
+          nacl_hcl = 5.4138_wp * rh**4 - 12.079_wp * rh**3 + 9.627_wp * rh**2 - 3.3164_wp * rh +   &
+                     0.35224_wp
+       ELSEIF ( full_complexity == 0  .AND.  rh > 0.4_wp )  THEN
+          nacl_hcl = 2.432_wp * rh**3 - 4.3453_wp * rh**2 + 2.3834_wp * rh - 0.4762_wp
        ENDIF
     ENDIF
-              
-    Ln_HCL_act = binary_hcl +                                                  &
-                 nitric_acid_eq_frac       * HNO3_hcl +                        &
-                 sulphuric_acid_eq_frac    * H2SO4_hcl +                       &
-                 ammonium_sulphate_eq_frac * NH42SO4_hcl +                     &
-                 ammonium_nitrate_eq_frac  * NH4NO3_hcl +                      &
-                 ammonium_chloride_eq_frac * NH4Cl_hcl +                       &
-                 sodium_sulphate_eq_frac   * Na2SO4_hcl +                      &
-                 sodium_nitrate_eq_frac    * NaNO3_hcl +                       &
-                 sodium_chloride_eq_frac   * NaCl_hcl
-
-     gamma_hcl    = EXP( Ln_HCL_act )   ! Molal activity coefficient
+
+    ln_HCL_act = binary_hcl + nitric_acid_eq_frac * hno3_hcl + sulphuric_acid_eq_frac * h2so4_hcl +&
+                 ammonium_sulphate_eq_frac * nh42so4_hcl + ammonium_nitrate_eq_frac * nh4no3_hcl + &
+                 ammonium_chloride_eq_frac * nh4cl_hcl + sodium_sulphate_eq_frac * na2so4_hcl +    &
+                 sodium_nitrate_eq_frac    * nano3_hcl + sodium_chloride_eq_frac   * nacl_hcl
+
+     gamma_hcl    = EXP( ln_HCL_act )   ! Molal activity coefficient
      gamma_out(2) = gamma_hcl
-!     
+!
 !--  Equilibrium constant after Wagman et al. (1982) (and NIST database)
-     K_hcl = 2E6_wp * EXP( 9000.0_wp * henrys_temp_dep )   
-                                                    
-     Press_HCL = ( ions_mol(1) * ions_mol(7) * ( gamma_hcl**2 ) ) / K_hcl
+     k_hcl = 2E6_wp * EXP( 9000.0_wp * henrys_temp_dep )
+
+     press_hcl = ( ions_mol(1) * ions_mol(7) * gamma_hcl**2 ) / k_hcl
 !
 !-- 5) Ion molility output
     mols_out = ions_mol
-!
-!-- REFERENCES
-!-- Clegg et al. (1998) A Thermodynamic Model of the System 
-!--    H+-NH4+-Na+-SO42- -NO3--Cl--H2O at 298.15 K, J. Phys. Chem., 102A,      
-!--    2155-2171. 
-!-- Clegg et al. (2001) Thermodynamic modelling of aqueous aerosols containing 
-!--    electrolytes and dissolved organic compounds. Journal of Aerosol Science 
-!--    2001;32(6):713-738.
-!-- Topping et al. (2005a) A curved multi-component aerosol hygroscopicity model 
-!--    framework: Part 1 - Inorganic compounds. Atmospheric Chemistry and 
-!--    Physics 2005;5:1205-1222.
-!-- Topping et al. (2005b) A curved multi-component aerosol hygroscopicity model 
-!--    framework: Part 2 - Including organic compounds. Atmospheric Chemistry 
-!--    and Physics 2005;5:1223-1242.
-!-- Wagman et al. (1982). The NBS tables of chemical thermodynamic properties: 
-!--    selected values for inorganic and Câ and Câ organic substances in SI 
-!--    units (book)
-!-- Zaveri et al. (2005). A new method for multicomponent activity coefficients 
-!--    of electrolytes in aqueous atmospheric aerosols, JGR, 110, D02201, 2005.
+
  END SUBROUTINE inorganic_pdfite
- 
+
 !------------------------------------------------------------------------------!
 ! Description:
